%define with_libstdc_preview 1

Name:           scim-tomoe
Version:        0.5.0
Release:        2%{?dist}
Summary:        Tomoe module for SCIM for Japanese handwritten input

Group:          System Environment/Libraries
License:        GPL
URL:            http://scim-imengine.sourceforge.jp/
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  scim-devel, tomoe-devel, libtomoe-gtk-devel
%if %{with_libstdc_preview}
Buildrequires:  libstdc++so7-devel
%endif
Requires:       scim, tomoe >= %{version}, libtomoe-gtk >= %{version}

Patch0: scim-tomoe-moduledir.patch

%description
Scim-tomoe allows Japanese handwritten input of characters using SCIM.


%prep
%setup -q
%patch0 -p0


%build
%if %{with_libstdc_preview}
export CXX=%{_bindir}/g++-libstdc++-so_7
%endif
%configure --disable-static
%if %{with_libstdc_preview}
# tweak libtool for libstdc++-so7
sed -i -e "s/4.1.0 /4.2.0-`grep datestamp= %{_bindir}/g++-libstdc++-so_7 | sed -e "s/datestamp=//"` /" libtool
%endif
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%if %{with_libstdc_preview}
export CXX=%{_bindir}/g++-libstdc++-so_7
%endif
make install DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/scim-1.0/*/*/*.la

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog
%{_libdir}/scim-1.0/*/Helper/tomoe.so
%{_datadir}/scim/icons/scim-tomoe.png
%{_bindir}/scim-tomoe


%changelog
* Sun Jan 21 2007 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.5.0-2
- fix the building dependency.

* Sat Jan 20 2007 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.5.0-1
- update to 0.5.0.

* Thu Dec 21 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.4.0-1
- update to 0.4.0.

* Fri Oct 7 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.2.0-6
- fix the release number for upgrading install from FE5 to FE6.

* Sat Sep 15 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.2.0-5
- mass rebuilding.

* Tue Apr  4 2006 Jens Petersen <petersen@redhat.com> - 0.2.0-4
- rebuild without libstdc++so7

* Wed Mar  1 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.2-3
- update to 0.2

* Mon Feb 13 2006 Jens Petersen <petersen@redhat.com> - 0.1.0-3
- build conditionally with libstdc++so7 preview library (#166041)
  - add with_libstdc_preview switch and tweak libtool to link against it
- list shared object module files explicitly

* Fri Oct  7 2005 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.1.0-2
- add scim into the requirement

* Wed Aug 31 2005 Ryo Dairiki <ryo-dairiki@mbm.nifty.com> - 0.1.0-1
- update to 0.1.0

* Wed Aug 17 2005 Jens Petersen <petersen@redhat.com> - 0.0.0-0.20050817
- initial packaging of cvs snapshot
